curl https://api.thanxsandbox.com/tags \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"tags": [
{
"id": "92b7b0dac4",
"user_id": "werofsdf",
"merchant_id": "weroif",
"key": "allergens",
"values": ["gluten", "soy", "dairy"]
}
]
}
Tags
Get Tags
This section describes endpoints that enable a third party to fetch and update a user’s tags. This endpoint describes all attribute tags for the given user.
GET
/
tags
curl https://api.thanxsandbox.com/tags \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"tags": [
{
"id": "92b7b0dac4",
"user_id": "werofsdf",
"merchant_id": "weroif",
"key": "allergens",
"values": ["gluten", "soy", "dairy"]
}
]
}
Please review proper request headers here.
Parameters
string
Only return tags for this merchant
Response
string
Tag ID
string
User ID
string
Merchant ID
string
Tag key
array(string)
Array of attribute tags. Currently, only
string tags are supported.curl https://api.thanxsandbox.com/tags \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"tags": [
{
"id": "92b7b0dac4",
"user_id": "werofsdf",
"merchant_id": "weroif",
"key": "allergens",
"values": ["gluten", "soy", "dairy"]
}
]
}